cURL
curl --request POST \
--url https://api.useanima.sh/v1/vault/provision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>"
}
'import requests
url = "https://api.useanima.sh/v1/vault/provision"
payload = { "agentId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentId: '<string>'})
};
fetch('https://api.useanima.sh/v1/vault/provision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agentId": "<string>",
"orgId": "<string>",
"vaultUserId": "<string>",
"vaultOrgId": "<string>",
"collectionId": "<string>",
"status": "ACTIVE",
"credentialCount": 1,
"lastSyncAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}API Reference
Post vaultprovision
POST
/
vault
/
provision
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
application/json
Input for provisioning a new agent vault
Agent identifier to provision a vault for — master key only
Pattern:
^[0-9a-z]+$Response
200 - application/json
OK
Provisioned vault details for an agent
Unique vault record identifier
Agent the vault belongs to
Organization the vault belongs to
Vault backend user identifier
Vault backend organization identifier
Default collection identifier in the vault
Current vault operational status
Available options:
ACTIVE, LOCKED, ERROR Total number of credentials stored
Required range:
x >= 0Timestamp of the last vault synchronization
Timestamp when the vault was provisioned
Timestamp when the vault was last updated
